Package com.omnisci.thrift.server

## Enum TNodeMemoryInfo._Fields

- java.lang.Object
- - java.lang.Enum<TNodeMemoryInfo._Fields>
  - - com.omnisci.thrift.server.TNodeMemoryInfo._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TNodeMemoryInfo._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TNodeMemoryInfo

    public static enum TNodeMemoryInfo._Fields
    extends Enum<TNodeMemoryInfo._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`HOST_NAME`
`IS_ALLOCATION_CAPPED`
`MAX_NUM_PAGES`
`NODE_MEMORY_DATA`
`NUM_PAGES_ALLOCATED`
`PAGE_SIZE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TNodeMemoryInfo._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TNodeMemoryInfo._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TNodeMemoryInfo._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TNodeMemoryInfo._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TNodeMemoryInfo._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HOST_NAME

    public static final TNodeMemoryInfo._Fields HOST_NAME

#### PAGE_SIZE

    public static final TNodeMemoryInfo._Fields PAGE_SIZE

#### MAX_NUM_PAGES

    public static final TNodeMemoryInfo._Fields MAX_NUM_PAGES

#### NUM_PAGES_ALLOCATED

    public static final TNodeMemoryInfo._Fields NUM_PAGES_ALLOCATED

#### IS_ALLOCATION_CAPPED

    public static final TNodeMemoryInfo._Fields IS_ALLOCATION_CAPPED

#### NODE_MEMORY_DATA

    public static final TNodeMemoryInfo._Fields NODE_MEMORY_DATA

### Method Detail

#### values

    public static TNodeMemoryInfo._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TNodeMemoryInfo._Fields c : TNodeMemoryInfo._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TNodeMemoryInfo._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TNodeMemoryInfo._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TNodeMemoryInfo._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TNodeMemoryInfo._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`